#
#   Copyright (c) 2014-2015, Texas Instruments Incorporated
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#   *  Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#
#   *  Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#
#   *  Neither the name of Texas Instruments Incorporated nor the names of
#      its contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

LOCAL_PATH:= $(call my-dir)

############### libticmem library ###############
include $(CLEAR_VARS)

LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_CFLAGS += -D_FILE_OFFSET_BITS=64 -DLINUXUTILS_BUILDOS_ANDROID

LOCAL_MODULE_TAGS:= optional
LOCAL_MODULE_PATH:= $(TARGET_OUT_VENDOR_SHARED_LIBRARIES)

LOCAL_SRC_FILES:= src/cmem/api/cmem.c

LOCAL_MODULE:= libticmem
include $(BUILD_SHARED_LIBRARY)


############### cmemApitest ###############
include $(CLEAR_VARS)

LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_CFLAGS += -D_FILE_OFFSET_BITS=64 -DLINUXUTILS_BUILDOS_ANDROID

LOCAL_MODULE_TAGS:= optional
LOCAL_MODULE_PATH:= $(TARGET_OUT_VENDOR_EXECUTABLES)

LOCAL_SRC_FILES:= src/cmem/tests/apitest.c

LOCAL_SHARED_LIBRARIES := libticmem

LOCAL_MODULE:= cmemApitest
include $(BUILD_EXECUTABLE)


############### cmemMultiprocess ###############
include $(CLEAR_VARS)

LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_CFLAGS += -D_FILE_OFFSET_BITS=64 -DLINUXUTILS_BUILDOS_ANDROID

LOCAL_MODULE_TAGS:= optional
LOCAL_MODULE_PATH:= $(TARGET_OUT_VENDOR_EXECUTABLES)

LOCAL_SRC_FILES:= src/cmem/tests/multi_process.c

LOCAL_SHARED_LIBRARIES := libticmem

LOCAL_MODULE:= cmemMultiprocess
include $(BUILD_EXECUTABLE)


############### cmemTranslate ###############
include $(CLEAR_VARS)

LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_CFLAGS += -D_FILE_OFFSET_BITS=64 -DLINUXUTILS_BUILDOS_ANDROID

LOCAL_MODULE_TAGS:= optional
LOCAL_MODULE_PATH:= $(TARGET_OUT_VENDOR_EXECUTABLES)

LOCAL_SRC_FILES:= src/cmem/tests/translate.c

LOCAL_SHARED_LIBRARIES := libticmem

LOCAL_MODULE:= cmemTranslate
include $(BUILD_EXECUTABLE)
